apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: hello-cronjob
spec:
  schedule: "1 * * * *"  # This runs the job every minute
  jobTemplate:
    spec:
      template:
        spec:
          containers:
          - name: hello
            image: ubuntu:latest
            command: ["echo", "Hello from Kubernetes!"]
